Subject: [Sip] Two question about RFC3261

From: "zane" <[email-masked]>
Date: Fri, 29 Jul 2005 09:37:05 +0800

Hello everyone:
	I need your help.I am learning RFC3261.I have two question that puzzle me a lot.

1. In RFC3261 16.9 ,it says "If the proxy is notified of an error when forwarding a response, it
   drops the response.  The proxy SHOULD NOT cancel any outstanding
   client transactions associated with this response context due to this
   notification.
      If a proxy cancels its outstanding client transactions, a single
      malicious or misbehaving client can cause all transactions to fail
      through its Via header field." 

	I can't understand. If proxy do not cancel the client transaction associated with the error server 	
	transaction , what should the proxy do ? Because the error server transaction had been terminated, 	
	when the subsequent response in a same client transaction came , how did the proxy treat it ? 
	
	And I can't understand the notification . How can a single malicious client cause "all" transaction 
	to fail through its Via ? I think it can only cause transaction associate with itself to fail ,and then
	what is the intention of the malicious client doing this?

2. In RFC3261 17.2.1 , it says "If timer H fires while in the "Completed" state, it implies that the
   ACK was never received.  In this case, the server transaction MUST
   transition to the "Terminated" state, and MUST indicate to the TU
   that a transaction failure has occurred."

	The transaction layer inform TU that ACK missed , but how did TU manage this error ? I can't find it 
	in RFC3261 . Anybody can tell me it please ?

That is all.  Thanks a lot!

　　　　　　　　Victor Zane
　　　　　　　　[email-masked]
　　　　　　　　　　2005-07-28
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip